"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-11.0-arm64-cpython-39/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x105adeca0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x105aded30>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x105adedc0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x105adee50>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x105adeee0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x105adef70>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2040>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x105ae20d0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2160>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x105ae21f0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2280>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2310>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x105ae23a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2430>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x105ae24c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2550>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x105ae25e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2670>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2700>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2790>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2820>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x105ae28b0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2940>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x105ae29d0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2af0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2a60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2b80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2c10>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2ca0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2d30>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2dc0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2e50>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2ee0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x105ae2f70>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6040>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x105ae60d0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6160>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x105ae61f0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6280>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6310>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x105ae63a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6430>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x105ae64c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6550>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x105ae65e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6670>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6700>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6790>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6820>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x105ae68b0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x105ae69d0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6a60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6af0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6b80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6c10>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6ca0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6d30>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6dc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6e50>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6ee0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x105ae6f70>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9040>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x105ae90d0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9160>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9310>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x105ae91f0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x105ae93a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9430>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x105ae94c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9550>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x105ae95e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9670>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9790>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9820>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x105ae98b0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x105ae99d0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9940>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9a60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9af0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9b80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9c10>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9ca0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x105ae9d30>)]
name: str = 'fr_HOCCN'
